GINGA(1)

NAME
ginga - Astronomical FITS Image Viewer

DESCRIPTION
usage: ginga [-h] [--basedir NAME] [--bufsize NUM] [-c CHANNELS]

    [--disable-plugins NAMES] [--display HOST:N] [--fitspkg NAME] [-g GEOM] [--minthreads NUM] [--modules NAMES] [--norestore] [--nosplash] [--numthreads NUM] [--opengl] [--plugins NAMES] [--rcport NUM] [--sep] [--suppress-fits-warnings] [-t NAME] [--wcspkg NAME] [--log FILE] [--loglevel LEVEL] [--lognull] [--logsize NUMBYTES] [--logbackups NUM] [--pidfile FILE] [--rmlog] [--stderr] [-V]

Run the Ginga reference viewer.

  options:

-h, --help
    show this help message and exit

--basedir NAME
    Specify Ginga configuration area

--bufsize NUM
    Buffer length to NUM

-c, --channels CHANNELS
    Specify list of channels to create

--disable-plugins NAMES
    Specify plugins that should be disabled

--display HOST:N
    Use X display on HOST:N

--fitspkg NAME
    Prefer FITS I/O module NAME

-g, --geometry GEOM
    X geometry for initial size and placement

--minthreads NUM
    Start minimum of NUM threads in thread pool

--modules NAMES
    Specify additional modules to load

--norestore
    Don't restore the GUI from a saved layout

--nosplash
    Don't display the splash screen

--numthreads NUM
    Maximum NUM threads in thread pool

--opengl
    Use OpenGL acceleration

--plugins NAMES
    Specify additional plugins to load

--rcport NUM
    Use PORT for Ginga Remote Control plugin

--sep
    Load files in separate channels

--suppress-fits-warnings
    Suppress FITS verify warnings

-t, --toolkit NAME
    Prefer GUI toolkit (gtk|qt)

--wcspkg NAME
    Prefer WCS module NAME

--log FILE
    Write logging output to FILE

--loglevel LEVEL
    Set logging level to LEVEL

--lognull
    Use a null logger

--logsize NUMBYTES
    Set maximum logging level to NUMBYTES

--logbackups NUM
    Set maximum number of backups to NUM

--pidfile FILE
    Write pid of process to FILE

--rmlog
    Remove log if present (don't append)

--stderr
    Copy logging also to stderr

-V, --version
    show program's version number and exit